# File tres/Scripts/tencrypt.cl
# July 1, 2009
# By Doug Mink, SAO Telescope Data Center

# TENCRYPT - Process multiple similar TRES images from raw data files to spectra

procedure tencrypt (images)

string	images=""	{prompt="Images to process"}
bool	deltemp=yes	{prompt="Delete intermediate image files (y or n)"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

file	imroot, imin, impath, dfile, flat1, flat2
file	imout, ims, cdir, tempin, tempout
string	ddir, idir, croot, tdate
int	pl, n
bool	vb, dt, sr, sv, disp, rc, delim, iscompm
bool	rms, rmb, subs
real	ct

	vb = verbose
	dt = deltemp
	ims = images

	if (ims == "") {
	    print ("TENCRYPT: Encrypt list of unencrypted images")
	    print ("Usage: tencrypt images will encrypt unencrypted images in list")
	    return
	    }

# If input image is a list prepend @ if not already there
	smatch (ims, ".list")
	if (smatch.found) {
	    if (substr (ims,1,1) != '@')
		ims = "@" // ims
	    }

#  Make list file from input file parameter
	trsfiles.instdir = ctres.instdir
	trsfiles.datedir = ctres.datedir
	trsfiles.copyfile = yes
	trsfiles.extension = ".fits"
	trsfiles.keeppath = yes
	trsfiles.overwrite = no
	trsfiles (ims)
	if (trsfiles.nfiles == 0) {
	    delete (trsfiles.tempin)
	    if (vb)
		print ("TENCRYPT: No files found: ", ims)
	    return
	    }
	tempin = trsfiles.tempin
	tempout = trsfiles.tempout
	ims = "@" // tempout
	if (vb)
	    type (tempout)
	else
	    tcrypt (tempout)

#  Delete temporary list files
	if (dt) {
	    delete (tempin)
	    delete (tempout)
	    }

	if (tcheck.rawdir)
	    tdata (datedir=tcheck.datedir)

end

# Jul  1 2009	New task
