# TSHEAD - Print headers of processed TRES FITS image files
# October 5, 2009
# By Doug Mink, SAO Telescope Data Center

procedure tshead (images)

string	images=""	{prompt="Images to check"}

bool	longheader=yes	{prompt="Print long header (yes or no)"}
bool	deltemp=yes	{prompt="Delete intermediate image files (yes or no)"}
bool	verbose=yes	{prompt="Print process progress (yes or no)"}

begin

int	iext, nimg
file	templist, imin
string	ims, imlist
bool	vb, lh

	vb = verbose
	ims = images
	lh = longheader

	if (ims == "") {
	    print ("TSHEAD:  Display processed TRES FITS image header")
	    print ("Usage: tsdisp <input image sequence number or image filename> [options]")
	    return
	    }

#  Make temporary list of input files
	tfiles.copyfile = no
	tfiles.adddate = no
	tfiles.keeppath = yes
	tfiles.extension = ".fits"
	tfiles (ims)
	if (tfiles.nfiles == 0) {
	    delete (tfiles.tempin)
	    if (vb)
		print ("TSHEAD: No files found: ", ims)
	    return
	    }
	templist = trsfiles.tempout
	nimg = 0
	list = templist
        while (fscan (list,imin) != EOF) {
	    args = imin
	    nimg = nimg + 1
	    if (vb && !lh)
		printf ("\n%s\n", imin)
	    imhead (imin,long_header=lh)
	    }

	if (deltemp) {
	    delete (templist)
	    delete (tfiles.tempin)
	    }
end

# Oct  5 2009	New task based on TXHEAD
