# GHLINE -- Vector histogram polyline.  Draw a line connecting the points
# (X[i],V[i]), where the X[i] are evenly distributed from X1 to X2.

procedure ghline (gp, v, npts, x1, x2)

pointer	gp			# graphics descriptor
real	v[ARB]			# Y coordinates of the polyline
int	npts			# number of polyline points
real	x1, x2			# range of X coordinates of the polyline

int	i
real	xi, dx, dx2

begin
	if (npts > 1) {
	    dx = (x2 - x1) / (npts - 1)
	    dx2 = dx / 2.
	    call gamove (gp, x1, v[1])
	    call gadraw (gp, x1 + dx2, v[1])
	    do i = 2, npts {
		xi = x1 + ((i-1) * dx)
		call gadraw (gp, xi - dx2, v[i])
		if (xi+dx > x2) dx2 = 0.
		call gadraw (gp, xi + dx2, v[i]) }
	}
end
